Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02295, UID# 2893
App. Status: Expired

Valid: 09/24/2020 - 09/27/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2600 (09/23/2020)

Charge Cost Quantity Total
Non-Taxable
added 09/23/2020 3:37 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 09/23/2020 3:37 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 09/23/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantTim W. Craven - 09/23/2020 3:40 PM
95f31ec5077fe2ae2dafa86feab2094b
962781001ed0641d3f501f80ace92993
 
#1 Permit Issuing OfficialElroy Opp - 09/23/2020 4:23 PM
803948a0fa05e6b91f8320eeaf54f8dd
7f01845f506d173d73aa883c736419aa
 
Permit has been approved. All signatures have been obtained.